Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Interface CharValue

All Superinterfaces:
  Comparable<CharValue>, Mirror, PrimitiveValue, Value

    public interface CharValue

extends PrimitiveValue, Comparable<CharValue>

Provides access to a primitive `char` value in the target VM.

Since:
  1.3

Method Summary
`boolean` | `equals(Object obj)` Compares the specified Object with this CharValue for equality.
`int` | `hashCode()` Returns the hash code value for this CharValue.
`char` | `value()` Returns this CharValue as a `char`.

Methods inherited from interface com.sun.jdi.PrimitiveValue
`booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

Methods inherited from interface com.sun.jdi.Value
`type`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### value

    char value()

  Returns this CharValue as a `char`.

  Returns:
    the `char` mirrored by this object.

### equals

    boolean equals(Object obj)

  Compares the specified Object with this CharValue for equality.

  Overrides:
    `equals` in class `Object`
  Returns:
    true if the Object is a CharValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.

### hashCode

    int hashCode()

  Returns the hash code value for this CharValue.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the integer hash code

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD